#include "SyncButtonWindow.h"
#include <Application.h>
#include <stdio.h>
#include <stdlib.h>

const BRect kWindowFrame (200,200,240,220);
const BRect kButtonFrame (0, 2, 40, 22);
const char* kWindowName = "SyncButton";
const char* kButtonName = "Sync";

SyncButtonWindow::SyncButtonWindow() :
	BWindow(kWindowFrame, kWindowName,
			B_TITLED_WINDOW,
			B_WILL_DRAW | B_NOT_RESIZABLE | B_NOT_ZOOMABLE | B_WILL_ACCEPT_FIRST_CLICK,
			B_ALL_WORKSPACES
			)
{
	fButton = new BButton(kButtonFrame, kButtonName, kButtonName,
					new BMessage(BUTTON_MSG));
	AddChild(fButton);
}


bool
SyncButtonWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return BWindow::QuitRequested();
}

void
SyncButtonWindow::MessageReceived(BMessage* message)
{
	switch(message->what)
	{
		case BUTTON_MSG:
			fButton->SetEnabled(false);

			system("sync");

			fButton->SetEnabled(true);
		break;
		default:
			BWindow::MessageReceived(message);
	}
}